python-cliff_1.7.0-2_all.deb


Advertisement

Description

python-cliff - command line interface formulation framework - Python 2.x

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package filename python-cliff_1.7.0-2_all.deb
Package name python-cliff
Package version 1.7.0
Package release 2
Package architecture all
Package type deb
Category python
Homepage https://github.com/dreamhost/cliff
License -
Maintainer Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Download size 21.31 KB
Installed size 126.00 KB
Cliff is a framework for building command line programs. It uses plugins to
define sub-commands, output formatters, and other extensions.
The cliff framework is meant to be used to create multi-level commands such as
Subversion and git, where the main program handles some basic argument parsing
and then invokes a sub-command to do the work.
This package provides the Python 2.x module.

Alternatives

Package Version Architecture Repository
python-cliff_1.7.0-2_all.deb 1.7.0 all Debian Main
python-cliff - - -

Requires

Name Value
python << 2.8
python >= 2.7
python-cmd2 >= 0.6.7
python-prettytable << 0.8
python-prettytable >= 0.7
python-pyparsing -
python-six >= 1.4.1
python-stevedore -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-cliff_1.7.0-2_all.deb
Source Package python-cliff

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-cliff deb package:
    # sudo apt-get install python-cliff

Files

Path
/usr/lib/python2.7/dist-packages/cliff/__init__.py
/usr/lib/python2.7/dist-packages/cliff/app.py
/usr/lib/python2.7/dist-packages/cliff/command.py
/usr/lib/python2.7/dist-packages/cliff/commandmanager.py
/usr/lib/python2.7/dist-packages/cliff/complete.py
/usr/lib/python2.7/dist-packages/cliff/display.py
/usr/lib/python2.7/dist-packages/cliff/help.py
/usr/lib/python2.7/dist-packages/cliff/interactive.py
/usr/lib/python2.7/dist-packages/cliff/lister.py
/usr/lib/python2.7/dist-packages/cliff/show.py
/usr/lib/python2.7/dist-packages/cliff-1.7.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/cliff-1.7.0.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/cliff-1.7.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/cliff-1.7.0.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/cliff-1.7.0.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/cliff-1.7.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/cliff-1.7.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/cliff/formatters/__init__.py
/usr/lib/python2.7/dist-packages/cliff/formatters/base.py
/usr/lib/python2.7/dist-packages/cliff/formatters/commaseparated.py
/usr/lib/python2.7/dist-packages/cliff/formatters/shell.py
/usr/lib/python2.7/dist-packages/cliff/formatters/table.py
/usr/lib/python2.7/dist-packages/cliff/formatters/value.py
/usr/lib/python2.7/dist-packages/cliff/tests/__init__.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_app.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_command.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_commandmanager.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_complete.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_formatters_shell.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_formatters_value.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_help.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_lister.py
/usr/lib/python2.7/dist-packages/cliff/tests/test_show.py
/usr/lib/python2.7/dist-packages/cliff/tests/utils.py
/usr/share/doc/python-cliff/changelog.Debian.gz
/usr/share/doc/python-cliff/changelog.gz
/usr/share/doc/python-cliff/copyright

Changelog

2014-09-28 - Jan Dittberner <jandd@debian.org>
python-cliff (1.7.0-2) unstable; urgency=medium
* debian/control: add versions python{,3}-six and python{,3}-
prettytable Depends (Closes: #752741)
2014-09-28 - Jan Dittberner <jandd@debian.org>
python-cliff (1.7.0-1) unstable; urgency=medium
* New upstream version
2014-06-16 - Jan Dittberner <jandd@debian.org>
python-cliff (1.6.1-1) unstable; urgency=medium
* New upstream version
* drop debian/patches/dont-install-distribute-for-tests.patch,
upstream does not specify a dependency for distribute anymore
2014-02-22 - Jan Dittberner <jandd@debian.org>
python-cliff (1.5.2-1) unstable; urgency=low
[ Thomas Goirand ]
* (Build-)Depends on python-cmd2 at least 0.6.7. (Closes: #739717)
[ Jan Dittberner ]
* New upstream version
* debian/control:
- add python-coverage, pep8, python-pbr, python-six, python-stevedore,
python3-coverage, python3-pep8, python3-pbr, python3-six,
python3-stevedore to Build-Depends-Indep
- bump Standards-Version to 3.9.5 (no changes)
* debian/rules: clean pbr-*.egg that may get created when building on
systems without python-pbr installed
* add debian/patches/dont-install-distribute-for-tests.patch to avoid
installation of distribute from PyPI
2013-10-05 - Thomas Goirand <zigo@debian.org>
python-cliff (1.4.5-1) unstable; urgency=low
* New upstream release.
* Added myself as uploader.
* Ran wrap-and-sort.
* python-pyparsing build-depends is now >= 2.0.1.
* Now build-depends on python-all (>= 2.6.6-3~) and python3, added python3
support and the corresponding build-depends.
2013-06-26 - Thomas Goirand <zigo@debian.org>
python-cliff (1.4-1) unstable; urgency=low
* Team upload.
* New upstream release.
* Bumped to debhelper and compat 9.
* Standard-Version bumped to 3.9.4.
* Removed "-1" from python-pyparsing build-depends version.
2013-06-12 - Thomas Goirand <zigo@debian.org>
python-cliff (1.3.3-4) unstable; urgency=low
* Added (>= 1.5.7+dfsg1-1) in the pyparsing build-depends.
2013-05-13 - Thomas Goirand <zigo@debian.org>
python-cliff (1.3.3-3) unstable; urgency=low
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Thomas Goirand ]
* Team upload.
* New upstream version.
* Added rm -rf cliff.egg-info in the clean target.
2012-10-22 - Jan Dittberner <jandd@debian.org>
python-cliff (1.3-1) unstable; urgency=low
* New upstream version.
2012-10-09 - Jan Dittberner <jandd@debian.org>
python-cliff (1.2.1-1) unstable; urgency=low
* Initial release. (Closes: #670837: ITP: python-cliff -- command line
interface formulation framework)

See Also

Package Description
python-clint_0.3.7-1_all.deb Python Command-line Application Tools
python-clips_1.0.7.348+clips-1_i386.deb Python module to interface the CLIPS expert system shell library
python-cloud-sptheme_1.6-1_all.deb Cloud Sphinx theme and related extensions
python-cloudfiles_1.7.11-3_all.deb Python language bindings for Cloud Files API
python-cluster_1.1.1b3-1_all.deb allows grouping a list of arbitrary objects into related groups (clusters)
python-cmd2_0.6.7-2_all.deb enhanced Python cmd module - Python 2.x
python-cmor_2.9.1-5_i386.deb Python interface to CMOR
python-cobe_2.1.0-2_all.deb Markov chain based text generator library and chatbot
python-coffin-doc_0.3.8-1_all.deb Jinja2 adapter for Django - doc
python-coffin_0.3.8-1_all.deb Jinja2 adapter for Django - Python 2.x
python-cogent-doc_1.5.3-2_all.deb docs for python-cogent
python-cogent_1.5.3-2_i386.deb framework for genomic biology
python-coherence_0.6.6.2-8_all.deb Python UPnP framework
python-colander_1.0b1-3_all.deb simple schema-based serialization and deserialization - Python 2.x
python-collada_0.4-2_all.deb Python module for creating, editing and loading COLLADA
Advertisement
Advertisement